# KSPComputeExplicitOperator

Computes the explicit preconditioned operator.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPComputeExplicitOperator(KSP ksp,Mat *mat)

Collective on KSP

### Input Parameter

ksp -the Krylov subspace context

### Output Parameter

mat -the explict preconditioned operator

### Notes

This computation is done by applying the operators to columns of the identity matrix.

Currently, this routine uses a dense matrix format when 1 processor is used and a sparse format otherwise. This routine is costly in general, and is recommended for use only with relatively small systems.

### Keywords

KSP, compute, explicit, operator

### See Also

KSPComputeEigenvaluesExplicitly()

Level:advanced
Location: src/ksp/ksp/interface/eige.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages